Name:           prefedit
Version:        0.5
Release:        1jpp
Epoch:          0
Summary:        Java Preferences Editor

Group:          Utilities
License:        GPL
URL:            http://prefedit.sourceforge.net/
Source0:        http://download.sf.net/prefedit/prefedit-source-0.5.zip
Source1:        %{name}.sh
Source2:        %{name}.desktop
Patch0:         %{name}-build.patch
Patch1:         %{name}-javadoc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         JPackage Project
Distribution:   JPackage

BuildArch:      noarch
BuildRequires:  ant, java-javadoc
Requires:       jpackage-utils >= 0:1.5

%description
Preferences Editor is small utility to browse and edit the user and
system preferences, which are accessible via the Java 1.4 package
java.util.prefs. This could be useful for interactive tests when
developing applications which use the preferences API. It may also be
useful for trouble shooting when an applications preferences are
destroyed. In addition to the interactive browsing and editing there
is an import/export facility integrated in the GUI.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -c
%patch0 -p0
%patch1 -p0
rm -rf build dist


%build
ant -Dj2se.api=%{_javadocdir}/java


%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 644 dist/lib/%{name}-*.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}.desktop

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pR dist/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_javadir}/%{name}*.jar
%{_datadir}/applications/*%{name}.desktop

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Jun  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-1jpp
- First build.
